Loading...
Searching...
No Matches
Ogre::TextureUnitState::TextureEffect Struct Reference

Internal structure defining a texture effect. More...

`#include <OgreTextureUnitState.h>`

## Public Attributes

float | amplitude
float | arg1
float | arg2
float | base
ControllerFloat * | controller
float | frequency
const Frustum * | frustum
float | phase
int | subtype
TextureEffectType | type
WaveformType | waveType

## Detailed Description

Internal structure defining a texture effect.

## Member Data Documentation

## type

TextureEffectType Ogre::TextureUnitState::TextureEffect::type

## arg1

float Ogre::TextureUnitState::TextureEffect::arg1

## arg2

float Ogre::TextureUnitState::TextureEffect::arg2

## subtype

int Ogre::TextureUnitState::TextureEffect::subtype

## waveType

WaveformType Ogre::TextureUnitState::TextureEffect::waveType

## base

float Ogre::TextureUnitState::TextureEffect::base

## frequency

float Ogre::TextureUnitState::TextureEffect::frequency

## phase

float Ogre::TextureUnitState::TextureEffect::phase

## amplitude

float Ogre::TextureUnitState::TextureEffect::amplitude

## controller

ControllerFloat* Ogre::TextureUnitState::TextureEffect::controller

## frustum

const Frustum* Ogre::TextureUnitState::TextureEffect::frustum

The documentation for this struct was generated from the following file:

- OgreTextureUnitState.h